Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bugzilla DB migration completed. Please report issues to Infra team via email via infra@gentoo.org or IRC

Bug 416501

Summary: dev-java/jffi-1.0.0 and jffi-1.0.11 failed to build: No rule to make target
Product: Gentoo/Alt Reporter: kazuhiro
Component: Prefix SupportAssignee: Gentoo Prefix <prefix>
Status: RESOLVED FIXED    
Severity: normal    
Priority: Normal    
Version: unspecified   
Hardware: AMD64   
OS: OS X   
Whiteboard:
Package list:
Runtime testing required: ---
Attachments: build.log (dev-java/jffi-1.0.0)
build.log (dev-java/jffi-1.0.11)

Description kazuhiro 2012-05-18 14:01:19 UTC
When I emerge dev-java/jffi in the middle of dev-java/jruby,  emake failed.
Both versions shows following messages.

Reproducible: Always

Steps to Reproduce:
1. emerge -av jffi
2.
3.
Actual Results:  
when emerge dev-java/jffi-1.0.0

-compile-java:

-generate-native-headers:

-build-native-library:
     [exec] make: *** No rule to make target `-L/Users/kazuhiro/Gentoo/usr/lib', needed by `/Users/kazuhiro/Gentoo/var/tmp/portage/dev-java/jffi-1.0.0/work/jffi-1.0.0/build/jni/jffi/Array.o'.  Stop.



when emerge dev/java-jffi-1.0.11

package:
      [jar] Building jar: /Users/kazuhiro/Gentoo/var/tmp/portage/dev-java/jffi-1.0.11/work/jffi-1.0.11/target/jffi.jar

jar:

BUILD SUCCESSFUL
Total time: 1 second
make SRC_DIR=jni JNI_DIR=jni BUILD_DIR=build/jni VERSION=1.0 USE_SYSTEM_LIBFFI=1 -f jni/GNUmakefile 
make: *** No rule to make target `-L/Users/kazuhiro/Gentoo/usr/lib', needed by `build/jni/jffi/Array.o'.  Stop.


Portage 2.2.01.20430-prefix (prefix/darwin/macos/10.7/x64, gcc-4.2.1, unavailable, 11.4.0 x86_64)
=================================================================
System uname: Darwin-11.4.0-x86_64-i386-64bit
Timestamp of tree: Fri, 18 May 2012 12:21:46 +0000
distcc 3.1-toolwhip.1 i386-apple-darwin11.0 [disabled]
app-shells/bash:      4.2_p20
dev-java/java-config: 2.1.11-r3
dev-lang/python:      2.7.2-r3
dev-util/pkgconfig:   0.26
sys-devel/autoconf:   2.68
sys-devel/automake:   1.11.5
sys-devel/gcc-config: 1.5-r2
sys-devel/libtool:    2.4.2
sys-devel/make:       3.82
Repositories: gentoo_prefix ruby betagarden gentoo-haskell x-nana4gonta-prefix
Installed sets: 
ACCEPT_KEYWORDS="~x64-macos"
ACCEPT_LICENSE="* -@EULA"
CBUILD="x86_64-apple-darwin11"
CFLAGS="-O2 -pipe -march=nocona"
CHOST="x86_64-apple-darwin11"
CONFIG_PROTECT="/etc /usr/share/gnupg/qualified.txt"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/portage /etc/revdep-rebuild /etc/terminfo"
CXXFLAGS="-O2 -pipe -march=nocona"
DISTDIR="/Users/kazuhiro/Gentoo/usr/portage/distfiles"
FEATURES="assume-digests binpkg-logs collision-protect distlocks ebuild-locks fixlafiles force-prefix metadata-transfer news nostrip parallel-fetch preserve-libs protect-owned sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch"
FFLAGS=""
GENTOO_MIRRORS="http://distfiles.gentoo.org"
LANG="ja_JP.UTF-8"
LDFLAGS="-Wl,-dead_strip_dylibs"
PKGDIR="/Users/kazuhiro/Gentoo/usr/portage/packages"
PORTAGE_CONFIGROOT="/Users/kazuhiro/Gentoo/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/Users/kazuhiro/Gentoo/var/tmp"
PORTDIR="/Users/kazuhiro/Gentoo/usr/portage"
PORTDIR_OVERLAY="/Users/kazuhiro/Gentoo/var/lib/layman/ruby /Users/kazuhiro/Gentoo/var/lib/layman/betagarden /Users/kazuhiro/Gentoo/var/lib/layman/haskell /Users/kazuhiro/Gentoo/var/lib/nana4gonta-prefix"
SYNC="rsync://rsync.prefix.freens.org/gentoo-portage-prefix"
USE="cjk coreaudio cracklib cxx git jpeg kpathsea mmx mmxext modules ncurses nls objc objc++ ocamlopt png prefix readline ruby sse sse2 ssl subversion tiff unicode x64-macos xft zlib zsh-completion" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon braindump" CAMERAS="ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" ELIBC="Darwin" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ubx" INPUT_DEVICES="keyboard mouse" KERNEL="Darwin" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" PHP_TARGETS="php5-3" PYTHON_TARGETS="python2_7" RUBY_TARGETS="ruby18 ruby19 jruby" USERLAND="GNU" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LC_ALL, LINGUAS, MAKEOPTS, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, USE_PYTHON
Comment 1 kazuhiro 2012-05-18 14:03:19 UTC
Created attachment 312189 [details]
build.log (dev-java/jffi-1.0.0)
Comment 2 kazuhiro 2012-05-18 14:04:04 UTC
Created attachment 312191 [details]
build.log (dev-java/jffi-1.0.11)
Comment 3 Fabian Groffen gentoo-dev 2013-09-01 15:54:58 UTC
fixed, thanks